Summary: Gnome Spell is GNOME/Bonobo component for spell checking
Name: gnome-spell
Version: 1.0.8
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	aspell-devel >= 0.50.3
BuildRequires:  libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	perl-XML-Parser
Requires: aspell >= 0.50.2

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides spell
checking dictionary (see Spell.idl for exact API definition). It's based
on aspell package.

%prep
%setup -q

%build

%configure2_5x
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-spell/*.{a,la}

%{find_lang} %{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_libdir}/gnome-spell
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/*
%{_datadir}/gnome-spell-%{version}
%{_datadir}/control-center-2.0/icons/*

%changelog
* Mon Oct 27 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.0.8-1pclos2007
- New version 1.0.8

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 1.0.7-2pclos2007
- Build for PCLinuxOS 2007 

